<?php
// Exit if accessed directly
if(!defined('ABSPATH')) exit;

/**
 * Load plugin textdomain
 */
function wpbe_load_textdomain(){
	load_plugin_textdomain('wp-basic-elements', false, basename(dirname(__FILE__)). '/languages'); 
}
add_action('plugins_loaded', 'wpbe_load_textdomain');

/**
 * Load menu displaying
 */
function wpbe_elements() {
	add_action('admin_init', 'register_wpbe_settings');
	add_submenu_page('options-general.php', __('WPB Elements','wp-basic-elements'), __('WPB Elements','wp-basic-elements'), 'manage_options', 'wpbe_settings_page', 'wpbe_settings_page');
}
add_action('admin_menu', 'wpbe_elements');

/**
 * Register all needed options for the plugin
 */
function register_wpbe_settings() {
	register_setting('wpb-settings-group', 'wpbe_turn_off_updates');
	register_setting('wpb-settings-group', 'wpbe_turn_on_gzip');
	register_setting('wpb-settings-group', 'wpbe_disable_emojis');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_rss');
	register_setting('wpb-settings-group', 'wpbe_disable_rsd');
	register_setting('wpb-settings-group', 'wpbe_remove_manifest_link');
	register_setting('wpb-settings-group', 'wpbe_remove_rest_links');
	register_setting('wpb-settings-group', 'wpbe_remove_oembed_links');
	register_setting('wpb-settings-group', 'wpbe_remove_meta_generator');
	register_setting('wpb-settings-group', 'wpbe_remove_index_rel_link');
	register_setting('wpb-settings-group', 'wpbe_remove_prev_link');
	register_setting('wpb-settings-group', 'wpbe_remove_start_link');
	register_setting('wpb-settings-group', 'wpbe_remove_adjacent_links');
	register_setting('wpb-settings-group', 'wpbe_remove_short_link');
	register_setting('wpb-settings-group', 'wpbe_remove_pings');
	register_setting('wpb-settings-group', 'wpbe_remove_canonical');
	register_setting('wpb-settings-group', 'wpbe_remove_screen_options');
	register_setting('wpb-settings-group', 'wpbe_remove_help_link');
	register_setting('wpb-settings-group', 'wpbe_remove_welcome_panel');
	register_setting('wpb-settings-group', 'wpbe_remove_activity_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_quick_press_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_ataglance_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_wpnews_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_yoast_seo_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_woocoomerce_reviews_dasbhoard');
	register_setting('wpb-settings-group', 'wpbe_remove_dashboard_wpzoom');
	register_setting('wpb-settings-group', 'wpbe_remove_bbpress_right_now');
	register_setting('wpb-settings-group', 'wpbe_remove_spm_dashboard');
	register_setting('wpb-settings-group', 'wpbe_remove_layers_addons');
	register_setting('wpb-settings-group', 'wpbe_remove_layers_pro');
	register_setting('wpb-settings-group', 'wpbe_remove_itsec_dashboard');
	register_setting('wpb-settings-group', 'wpbe_add_to_side_menu');
	register_setting('wpb-settings-group', 'wpbe_add_widget_shortcode');
	register_setting('wpb-settings-group', 'wpbe_add_excerpts_shortcode');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_logo');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_new_content');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_sitename');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_customize');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_edit');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_updates');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_search');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_comments');
	register_setting('wpb-settings-group', 'wpbe_remove_w3tc');
	register_setting('wpb-settings-group', 'wpbe_remove_a1s');
	register_setting('wpb-settings-group', 'wpbe_remove_yseo');
	register_setting('wpb-settings-group', 'wpbe_remove_wp_zoom');
	register_setting('wpb-settings-group', 'wpbe_remove_vfb');
	register_setting('wpb-settings-group', 'wpbe_remove_ngg');
	register_setting('wpb-settings-group', 'wpbe_remove_admin_color_scheme');
	register_setting('wpb-settings-group', 'wpbe_remove_admin_lang_chooser');
	register_setting('wpb-settings-group', 'wpbe_remove_aim_contact');
	register_setting('wpb-settings-group', 'wpbe_remove_yahoo_contact');
	register_setting('wpb-settings-group', 'wpbe_remove_jabber_contact');
	register_setting('wpb-settings-group', 'wpbe_remove_gplus_contact');
	register_setting('wpb-settings-group', 'wpbe_remove_facebook_contact');
	register_setting('wpb-settings-group', 'wpbe_remove_twitter_contact');
	register_setting('wpb-settings-group', 'wpbe_admin_footer_left');
	register_setting('wpb-settings-group', 'wpbe_admin_footer_right');
	register_setting('wpb-settings-group', 'wpbe_wp_mail_from_name');
	register_setting('wpb-settings-group', 'wpbe_wp_mail_from');
}

/**
 * Backend scripts and styles
 */
function wpbe_backend_scripts_and_styles() {
    wp_enqueue_style('style-name', plugin_dir_url(__FILE__).'css/wpbe_style.css', WBE_VERSION);
}
add_action('admin_head', 'wpbe_backend_scripts_and_styles');

/**
 * Create and display the Settings Page in admin
 */
function wpbe_settings_page() {
?>
    <form id="wpbe_elements_form" method="post" action="options.php">
        <?php settings_fields('wpb-settings-group'); ?>
        <?php do_settings_sections('wpb-settings-group'); ?>
        <div id="welcome-panel" class="welcome-panel">
            <label id="version"><?php _e('Version','wp-basic-elements'); ?> <?php echo WBE_VERSION; ?></label>
            <div class="welcome-panel-content">
                <h1><?php _e('WP Basic Elements','wp-basic-elements'); ?></h1>
                <p class="about-description"><?php _e('With WP Basic Elements you can disable unnecessary features and speed up your site. Make the WP Admin simple and clean. You can activate gzip compression, change admin footers in backend, activate shortcodes in widgets, remove admin toolbar options and you can clean the code markup from unnecessary code snippets like WordPress generator meta tag and a bunch of other non important code snippets in the code. Cleaning the code markup will speed up your sites loadtime and increase the overall performance.','wp-basic-elements'); ?></p>
                <div class="welcome-panel-column-container">
                    <div class="welcome-panel-column">
                        <h4><?php _e('Quick Info','wp-basic-elements'); ?></h4>
                        <p><?php _e('When you change something do not forget to click on this blue Save Changes button below this text.','wp-basic-elements'); ?></p>
                        <p class="submit">
                        	<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save Changes','wp-basic-elements'); ?>">
                            <a class="button button-secondary" href="https://twitter.com/damircalusic/" target="_blank"><?php _e('FOLLOW ON TWITTER','wp-basic-elements'); ?></a>
                            <a class="button button-secondary" href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=DYLYJ242GX64J&lc=SE&item_name=WP%20Basic%20Elements&item_number=Support%20Open%20Source&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donate_SM%2egif%3aNonHosted" target="_blank"><?php _e('DONATE TO SUPPORT','wp-basic-elements'); ?></a>
                       	</p>
                    </div>
                    <div class="welcome-panel-column"></div>
                    <div class="welcome-panel-column welcome-panel-last"></div>
                </div>
            </div>
        </div>
        
        <div id="dashboard-widgets-wrap">
        	<div id="dashboard-widgets" class="metabox-holder">
            	
                <div id="postbox-container-1" class="postbox-container">
                    <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                    
                    	<div id="wpcore" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpcore" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Core','wp-basic-elements'); ?> <em class="small">(6) <?php _e('elements','wp-basic-elements'); ?></em></span></h2>
							<div class="inside">
								<div class="main">
                                    <ul>
                                        <li>
                                        	<input id="id1" type="checkbox" name="wpbe_add_to_side_menu" value="1" <?php echo checked(1, get_option('wpbe_add_to_side_menu'), false); ?> />
                                            <label for="id1"><?php _e('Add shortcut for WPB Elements in sidebar menu','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id2" type="checkbox" name="wpbe_turn_on_gzip" value="1" <?php echo checked(1, get_option('wpbe_turn_on_gzip'), false); ?> />
                                            <label for="id2"><?php _e('Enable gzip compression (ob_start(\'ob_gzhandler\') used)','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id3" type="checkbox" name="wpbe_turn_off_updates" value="1" <?php echo checked(1, get_option('wpbe_turn_off_updates'), false); ?> />
                                            <label for="id3"><?php _e('Disable Plugins, WordPress and Themes update notifications for non-admins.','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id4" type="checkbox" name="wpbe_disable_emojis" value="1" <?php echo checked(1, get_option('wpbe_disable_emojis'), false); ?> />
                                            <label for="id4"><?php _e('Disable Emoji icons if not in use.','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id5" type="checkbox" name="wpbe_add_widget_shortcode" value="1" <?php echo checked(1, get_option('wpbe_add_widget_shortcode'), false); ?> />
                                            <label for="id5"><?php _e('Enable shortcode in widgets','wp-basic-elements'); ?> </label>
                                        </li>
                                        <li>
                                        	<input id="id6" type="checkbox" name="wpbe_add_excerpts_shortcode" value="1" <?php echo checked(1, get_option('wpbe_add_excerpts_shortcode'), false); ?> />
                                            <label for="id6"><?php _e('Enable shortcode in manual excerpts','wp-basic-elements'); ?></label>
                                        </li>
                                    </ul>
                                 </div>
                          	</div>
						</div>
                        
                        <div id="wpoptimisation" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpoptimisation" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Optimisation','wp-basic-elements'); ?> <em class="small">(13) <?php _e('elements','wp-basic-elements'); ?></em></span></h2>
							<div class="inside">
                            	<p><?php _e('Disable features from the wp_head() function and make your code cleaner.','wp-basic-elements'); ?></p>
								<div class="main">
                                    <ul>
                                        <li>
                                        	<input id="id7" type="checkbox" name="wpbe_remove_wp_rss" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_rss'), false); ?> />
                                            <label for="id7"><?php _e('Remove Post, Comment and Category feeds','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id8" type="checkbox" name="wpbe_disable_rsd" value="1" <?php echo checked(1, get_option('wpbe_disable_rsd'), false); ?> />
                                            <label for="id8"><?php _e('Remove EditURI link','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id9" type="checkbox" name="wpbe_remove_manifest_link" value="1" <?php echo checked(1, get_option('wpbe_remove_manifest_link'), false); ?> />
                                            <label for="id9"><?php _e('Remove Windows Live Writer Manifest File','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id55" type="checkbox" name="wpbe_remove_rest_links" value="1" <?php echo checked(1, get_option('wpbe_remove_rest_links'), false); ?> />
                                            <label for="id55"><?php _e('Remove REST links','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id56" type="checkbox" name="wpbe_remove_oembed_links" value="1" <?php echo checked(1, get_option('wpbe_remove_oembed_links'), false); ?> />
                                            <label for="id56"><?php _e('Remove WP Oembed discovery links','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id10" type="checkbox" name="wpbe_remove_meta_generator" value="1" <?php echo checked(1, get_option('wpbe_remove_meta_generator'), false); ?> />
                                            <label for="id10"><?php _e('Remove generator meta tags for: <br> - WordPress <br> - WooCommerce <br> - qTranslate-X','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id11" type="checkbox" name="wpbe_remove_index_rel_link" value="1" <?php echo checked(1, get_option('wpbe_remove_index_rel_link'), false); ?> />
                                            <label for="id11"><?php _e('Remove Index link','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id12" type="checkbox" name="wpbe_remove_prev_link" value="1" <?php echo checked(1, get_option('wpbe_remove_prev_link'), false); ?> />
                                            <label for="id12"><?php _e('Remove Prev link','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id13" type="checkbox" name="wpbe_remove_start_link" value="1" <?php echo checked(1, get_option('wpbe_remove_start_link'), false); ?> />
                                            <label for="id13"><?php _e('Remove Start link','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id14" type="checkbox" name="wpbe_remove_adjacent_links" value="1" <?php echo checked(1, get_option('wpbe_remove_adjacent_links'), false); ?> />
                                            <label for="id14"><?php _e('Remove Relational links for the Posts','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id15" type="checkbox" name="wpbe_remove_short_link" value="1" <?php echo checked(1, get_option('wpbe_remove_short_link'), false); ?> />
                                            <label for="id15"><?php _e('Remove WordPress shortlink','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id16" type="checkbox" name="wpbe_remove_pings" value="1" <?php echo checked(1, get_option('wpbe_remove_pings'), false); ?> />
                                            <label for="id16"><?php _e('Remove WordPress Pingbacks','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id17" type="checkbox" name="wpbe_remove_canonical" value="1" <?php echo checked(1, get_option('wpbe_remove_canonical'), false); ?> />
                                            <label for="id17"><?php _e('Remove canonical link','wp-basic-elements'); ?></label>
                                        </li>
                                    </ul>
                                    
                                 </div>
                          	</div>
						</div>
                        
                        <div id="wpdashboard" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpdashboard" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Dashboard','wp-basic-elements'); ?> <em class="small">(15) <?php _e('elements','wp-basic-elements'); ?></em></span></h2>
							<div class="inside">
                            	<p><?php _e('Disable features from the main WordPress Dashboard and make it a little bit cleaner.','wp-basic-elements'); ?></p>
								<div class="main">
                                    <ul>
                                    	<li>
                                        	<input id="id18" type="checkbox" name="wpbe_remove_screen_options" value="1" <?php echo checked(1, get_option('wpbe_remove_screen_options'), false); ?> />
                                            <label for="id18"><?php _e('Remove Screen Options from top right corner','wp-basic-elements'); ?></label>
                                        </li>
                                    	<li>
                                        	<input id="id19" type="checkbox" name="wpbe_remove_help_link" value="1" <?php echo checked(1, get_option('wpbe_remove_help_link'), false); ?> />
                                            <label for="id19"><?php _e('Remove Help link from top right corner','wp-basic-elements'); ?></label>
                                        </li>
                                    	<li>
                                        	<input id="id20" type="checkbox" name="wpbe_remove_welcome_panel" value="1" <?php echo checked(1, get_option('wpbe_remove_welcome_panel'), false); ?> />
                                            <label for="id20"><?php _e('Remove Welcome to WordPress!','wp-basic-elements'); ?></label>
                                        </li>
                                    	<li>
                                        	<input id="id21" type="checkbox" name="wpbe_remove_ataglance_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_ataglance_dashboard'), false); ?> />
                                            <label for="id21"><?php _e('Remove At a Glance','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id22" type="checkbox" name="wpbe_remove_activity_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_activity_dashboard'), false); ?> />
                                            <label for="id22"><?php _e('Remove Activity','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id23" type="checkbox" name="wpbe_remove_quick_press_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_quick_press_dashboard'), false); ?> />
                                            <label for="id23"><?php _e('Remove Quick Draft','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id24" type="checkbox" name="wpbe_remove_wpnews_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_wpnews_dashboard'), false); ?> />
                                            <label for="id24"><?php _e('Remove WordPress News','wp-basic-elements'); ?></label>
                                        </li>
									</ul>
                                    <p><strong><?php _e('Plugins (if used)','wp-basic-elements'); ?></strong></p>
                                    <ul>
                                        <li>
                                        	<input id="id25" type="checkbox" name="wpbe_remove_yoast_seo_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_yoast_seo_dashboard'), false); ?> />
                                            <label for="id25"><?php _e('Remove Yoast SEO Posts Overview','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id26" type="checkbox" name="wpbe_remove_woocoomerce_reviews_dasbhoard" value="1" <?php echo checked(1, get_option('wpbe_remove_woocoomerce_reviews_dasbhoard'), false); ?> />
                                            <label for="id26"><?php _e('Remove WooCommerce Latest Reviews','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id27" type="checkbox" name="wpbe_remove_dashboard_wpzoom" value="1" <?php echo checked(1, get_option('wpbe_remove_dashboard_wpzoom'), false); ?> />
                                        	<label for="id27"><?php _e('Remove WP-Zoom dashboard','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id28" type="checkbox" name="wpbe_remove_bbpress_right_now" value="1" <?php echo checked(1, get_option('wpbe_remove_bbpress_right_now'), false); ?> />
                                            <label for="id28"><?php _e('Remove bbPress Right Now','wp-basic-elements'); ?> </label>
                                        </li>
                                        <li>
                                        	<input id="id29" type="checkbox" name="wpbe_remove_spm_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_spm_dashboard'), false); ?> />
                                            <label for="id29"><?php _e('Remove Simple Personal Message','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id30" type="checkbox" name="wpbe_remove_layers_addons" value="1" <?php echo checked(1, get_option('wpbe_remove_layers_addons'), false); ?> />
                                            <label for="id30"><?php _e('Remove Layers addons','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id31" type="checkbox" name="wpbe_remove_layers_pro" value="1" <?php echo checked(1, get_option('wpbe_remove_layers_pro'), false); ?> />
                                            <label for="id31"><?php _e('Remove Layers Pro','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id32" type="checkbox" name="wpbe_remove_itsec_dashboard" value="1" <?php echo checked(1, get_option('wpbe_remove_itsec_dashboard'), false); ?> />
                                            <label for="id32"><?php _e('Remove Ithemes Security dashboard widget','wp-basic-elements'); ?></label>
                                        </li>
                                    </ul>
                                    
                                 </div>
                          	</div>
						</div>
                
                    </div>
            	</div>
                
                <div id="postbox-container-2" class="postbox-container">
                	<div id="side-sortables" class="meta-box-sortables ui-sortable">
                    	
                        <div id="generellt" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="generellt" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Admin Toolbar','wp-basic-elements'); ?> <em class="small">(14) <?php _e('elements','wp-basic-elements'); ?></em></span></h2>
							<div class="inside">
                            	<p><?php _e('Check the ones you would like to disable in the admin toolbar. You are not going to delete anything instead you will just make your toolbar cleaner and more friendly.','wp-basic-elements'); ?></p>
                                <p><?php _e('Just test and see what happens in the toolbar. If you want anything back just uncheck and it will appear again.','wp-basic-elements'); ?></p>
								<div class="main">
                                    <ul>
                                        <li>
                                        	<input id="id33" type="checkbox" name="wpbe_remove_wp_logo" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_logo'), false); ?> />
                                            <label for="id33"><?php _e('Remove WP Logo','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id34" type="checkbox" name="wpbe_remove_wp_new_content" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_new_content'), false); ?> />
                                            <label for="id34"><?php _e('Remove WP New Content','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id35" type="checkbox" name="wpbe_remove_wp_sitename" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_sitename'), false); ?> />
                                            <label for="id35"><?php _e('Remove WP sitename','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id36" type="checkbox" name="wpbe_remove_wp_customize" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_customize'), false); ?> />
                                            <label for="id36"><?php _e('Remove WP customize','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id37" type="checkbox" name="wpbe_remove_wp_edit" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_edit'), false); ?> />
                                            <label for="id37"><?php _e('Remove WP edit','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id38" type="checkbox" name="wpbe_remove_wp_updates" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_updates'), false); ?> />
                                            <label for="id38"><?php _e('Remove WP Updates','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id39" type="checkbox" name="wpbe_remove_wp_comments" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_comments'), false); ?> />
                                            <label for="id39"><?php _e('Remove WP Comments','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id40" type="checkbox" name="wpbe_remove_wp_search" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_search'), false); ?> />
                                            <label for="id40"><?php _e('Remove WP Search','wp-basic-elements'); ?></label>
                                        </li>
                                    </ul>
                                    <p><strong><?php _e('Plugins (if used)','wp-basic-elements'); ?></strong></p>
                                    <ul>    
                                        <li>
                                        	<input id="id41" type="checkbox" name="wpbe_remove_w3tc" value="1" <?php echo checked(1, get_option('wpbe_remove_w3tc'), false); ?> />
                                            <label for="id41"><?php _e('Remove W3 Total Cache','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id42" type="checkbox" name="wpbe_remove_a1s" value="1" <?php echo checked(1, get_option('wpbe_remove_a1s'), false); ?> />
                                            <label for="id42"><?php _e('Remove All in One Seo','wp-basic-elements'); ?></label>
                                        </li> 
                                        <li>
                                        	<input id="id43" type="checkbox" name="wpbe_remove_yseo" value="1" <?php echo checked(1, get_option('wpbe_remove_yseo'), false); ?> />
                                            <label for="id43"><?php _e('Remove Yoast SEO','wp-basic-elements'); ?></label>
                                        </li> 
                                        <li>
                                        	<input id="id44" type="checkbox" name="wpbe_remove_wp_zoom" value="1" <?php echo checked(1, get_option('wpbe_remove_wp_zoom'), false); ?> />
                                            <label for="id44"><?php _e('Remove WP Zoom Framework','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id45" type="checkbox" name="wpbe_remove_vfb" value="1" <?php echo checked(1, get_option('wpbe_remove_vfb'), false); ?> />
                                            <label for="id45"><?php _e('Remove Visual Form Builder','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id46" type="checkbox" name="wpbe_remove_ngg" value="1" <?php echo checked(1, get_option('wpbe_remove_ngg'), false); ?> />
                                            <label for="id46"><?php _e('Remove Nextgen Gallery link','wp-basic-elements'); ?></label>
                                        </li> 
                                    </ul>
                                 </div>
                          	</div>
						</div>
                        
                        <div id="wpusers" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpusers" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Users','wp-basic-elements'); ?> <em class="small">(8) <?php _e('elements','wp-basic-elements'); ?></em></span></h2>
							<div class="inside">
                            	<p><?php _e('Disable unnecessary fields that you do not want to display to your users in admin backend.','wp-basic-elements'); ?></p>
								<div class="main">
                                	<ul>
                                        <li>
                                        	<input id="id47" type="checkbox" name="wpbe_remove_admin_color_scheme" value="1" <?php echo checked(1, get_option('wpbe_remove_admin_color_scheme'), false); ?> />
                                            <label for="id47"><?php _e('Disable Color Scheme selector for users','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id48" type="checkbox" name="wpbe_remove_admin_lang_chooser" value="1" <?php echo checked(1, get_option('wpbe_remove_admin_lang_chooser'), false); ?> />
                                            <label for="id48"><?php _e('Disable WordPress language chooser for users','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id49" type="checkbox" name="wpbe_remove_aim_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_aim_contact'), false); ?> />
                                            <label for="id49"><?php _e('Disable AIM field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id50" type="checkbox" name="wpbe_remove_jabber_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_jabber_contact'), false); ?> />
                                            <label for="id50"><?php _e('Disable Jabber field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id51" type="checkbox" name="wpbe_remove_yahoo_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_yahoo_contact'), false); ?> />
                                            <label for="id51"><?php _e('Disable Yahoo IM field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id52" type="checkbox" name="wpbe_remove_gplus_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_gplus_contact'), false); ?> />
                                            <label for="id52"><?php _e('Disable Google Plus field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id53" type="checkbox" name="wpbe_remove_facebook_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_facebook_contact'), false); ?> />
                                            <label for="id53"><?php _e('Disable Facebook field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                        <li>
                                        	<input id="id54" type="checkbox" name="wpbe_remove_twitter_contact" value="1" <?php echo checked(1, get_option('wpbe_remove_twitter_contact'), false); ?> />
                                            <label for="id54"><?php _e('Disable Twitter field from users contact field','wp-basic-elements'); ?></label>
                                        </li>
                                    </ul>    
                                </div>
                          	</div>
						</div>
                        
                    </div>
               	</div>
                
                <div id="postbox-container-3" class="postbox-container">
                	<div id="column3-sortables" class="meta-box-sortables ui-sortable">
                    
                    	<div id="wpadminfooter" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpadminfooter" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Admin Footer','wp-basic-elements'); ?></span></h2>
							<div class="inside">
                            	<p><?php _e('Change the default footer text to what you want.','wp-basic-elements'); ?></p>
								<div class="main">
                                	<ul>
                                        <li>
                                            <label class="label_text bigger_text"><?php _e('Text Left (HTML allowed)','wp-basic-elements'); ?></label>
                                            <?php wp_editor(wp_kses_post(get_option('wpbe_admin_footer_left')), 'wpbe_admin_footer_left', array('textarea_rows' => 9, 'tinymce' => true, 'quicktags' => array('buttons' => 'strong,em,link,block,del,img,ul,ol,li,more,close'))); ?>
                                        </li>
                                        <li>
                                            <label class="label_text bigger_text"><?php _e('Text Right (HTML allowed)','wp-basic-elements'); ?></label>
                                            <?php wp_editor(wp_kses_post(get_option('wpbe_admin_footer_right')), 'wpbe_admin_footer_right', array('textarea_rows' => 9, 'tinymce' => true, 'quicktags' => array('buttons' => 'strong,em,link,block,del,img,ul,ol,li,more,close'))); ?>
                                        </li>
                                    </ul>
                                </div>
                          	</div>
						 </div>
                         
                         <div id="wpmail" class="postbox">
                        	<button type="button" class="handlediv button-link" aria-expanded="true"><span class="toggle-indicator" data-src="wpmail" aria-hidden="true"></span></button>
                        	<h2 class="hndle ui-sortable-handle"><span><?php _e('WP Mail','wp-basic-elements'); ?></span></h2>
							<div class="inside">
								<div class="main">
                                	<ul>
                                        <li>
                                            <label class="label_text"><?php _e('Change mail name <strong>(WordPress)</strong> sent to users to your own','wp-basic-elements'); ?></label>
                                            <input type="text" name="wpbe_wp_mail_from_name" style="width:100%;" value="<?php echo get_option('wpbe_wp_mail_from_name'); ?>" placeholder="<?php _e('Example:','wp-basic-elements');?> <?php echo get_bloginfo('name'); ?>" />
                                        </li>
                                        <li>
                                            <label class="label_text"><?php _e('Change mail adress <strong>(wordpress@mysite.com)</strong> sent to users','wp-basic-elements'); ?></label>
                                            <input type="text" name="wpbe_wp_mail_from" style="width:100%;" value="<?php echo get_option('wpbe_wp_mail_from'); ?>" placeholder="<?php _e('Example:','wp-basic-elements');?> <?php echo get_bloginfo('admin_email'); ?>" />
                                        </li>
                                    </ul>
                                </div>
                          	</div>
						 </div>
                        
                    
                    </div>
               	</div>
            
            </div>
        </div>
        
    </form>
    <script>jQuery(document).ready(function( $ ) { $('.handlediv .toggle-indicator').click(function() { $("#" + $(this).attr("data-src")).toggleClass("closed"); }); });</script>
<?php 
}  

function wpbe_turn_on_gzip(){ 
	if(!in_array('ob_gzhandler', ob_list_handlers())){ ob_start('ob_gzhandler'); }
}

function wpbe_turn_off_updates(){
	if(!current_user_can('manage_options')){
		function remove_core_updates(){
			global $wp_version;
			return (object)array('last_checked'=> time(), 'version_checked'=> $wp_version);
		}
	
		add_filter('pre_site_transient_update_core','remove_core_updates');
		add_filter('pre_site_transient_update_plugins','remove_core_updates');
		add_filter('pre_site_transient_update_themes','remove_core_updates');
	}
}

function wpbe_shortcut(){ 
	add_menu_page(__('WPB Elements','wp-basic-elements'), __('WPB Elements','wp-basic-elements'), 'manage_options', __FILE__, 'wpbe_settings_page', 'dashicons-awards', 3);
}

function wpbe_remove_wp_logo() { 
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('wp-logo'); 
}

function wpbe_remove_wp_new_content() {   
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('new-content'); 
}

function wpbe_remove_wp_sitename() {   
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('site-name');  
}

function wpbe_remove_wp_customize() {   
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('customize');  
}

function wpbe_remove_wp_edit() {   
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('edit');  
}

function wpbe_remove_wp_updates() {
    global $wp_admin_bar;
	$wp_admin_bar->remove_menu('updates'); 
}

function wpbe_remove_wp_search() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('search'); 
}

function wpbe_remove_wp_comments() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('comments'); 
}

function wpbe_remove_w3tc() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('w3tc'); 
}

function wpbe_remove_a1s() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('all-in-one-seo-pack'); 
}

function wpbe_remove_yseo() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('wpseo-menu'); 
}

function wpbe_remove_wp_zoom() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('wpzoom'); 
}

function wpbe_remove_vfb() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('vfb_admin_toolbar'); 
}

function wpbe_remove_ngg() {
	global $wp_admin_bar;
    $wp_admin_bar->remove_menu('ngg-menu'); 
}

function wpbe_remove_pings($headers) {
	unset($headers['X-Pingback']);
	return $headers;
}

function wpbe_remove_aim_contact($contactmethods) {
	unset($contactmethods['aim']);
	return $contactmethods;
}

function wpbe_remove_jabber_contact($contactmethods) {
	unset($contactmethods['jabber']);
	return $contactmethods;
}

function wpbe_remove_yahoo_contact($contactmethods) {
	unset($contactmethods['yim']);
	return $contactmethods;
}

function wpbe_remove_gplus_contact($contactmethods) {
	unset($contactmethods['googleplus']);
	return $contactmethods;
}

function wpbe_remove_facebook_contact($contactmethods) {
	unset($contactmethods['facebook']);
	return $contactmethods;
}

function wpbe_remove_twitter_contact($contactmethods) {
	unset($contactmethods['twitter']);
	return $contactmethods;
}

function wpbe_remove_screen_options(){ ?> <style type="text/css">#contextual-help-link-wrap, #screen-options-link-wrap, #screen-options-link-wrap #show-settings-link{display:none !important;}</style> <?php }

function wpbe_remove_help_link(){ ?><style type="text/css">#contextual-help-link-wrap, #screen-options-link-wrap, #contextual-help-link-wrap #contextual-help-link{display:none !important;}</style><?php }

function wpbe_remove_admin_lang_chooser(){ ?><script>jQuery(document).ready(function($){if($('tr').hasClass("user-language-wrap")){document.querySelector('tr.user-language-wrap').remove();}});</script><?php }

function wpbe_disable_emojis() {
	remove_action('wp_head', 'print_emoji_detection_script', 7);
	remove_action('admin_print_scripts', 'print_emoji_detection_script');
	remove_action('wp_print_styles', 'print_emoji_styles');
	remove_action('admin_print_styles', 'print_emoji_styles');	
	remove_filter('the_content_feed', 'wp_staticize_emoji');
	remove_filter('comment_text_rss', 'wp_staticize_emoji');	
	remove_filter('wp_mail', 'wp_staticize_emoji_for_email');
	add_filter('emoji_svg_url', '__return_false');
}

function wpbe_remove_ataglance_dashboard(){
	remove_meta_box('dashboard_right_now', 'dashboard', 'normal');
}

function wpbe_remove_activity_dashboard(){
	remove_meta_box('dashboard_activity', 'dashboard', 'normal');
}

function wpbe_remove_quick_press_dashboard(){
	remove_meta_box('dashboard_quick_press', 'dashboard', 'side');
}

function wpbe_remove_wpnews_dashboard(){
	remove_meta_box('dashboard_primary', 'dashboard', 'side');
}

function wpbe_remove_yoast_seo_dashboard(){
	remove_meta_box('wpseo-dashboard-overview', 'dashboard', 'normal');
}

function wpbe_remove_woocoomerce_reviews_dasbhoard(){
	remove_meta_box('woocommerce_dashboard_recent_reviews', 'dashboard', 'normal');
}

function wpbe_remove_dashboard_wpzoom(){
	remove_meta_box('dashboard_wpzoom', 'dashboard', 'normal');
}

function wpbe_remove_bbpress_right_now(){
	remove_meta_box('bbp-dashboard-right-now', 'dashboard', 'side');
}

function wpbe_remove_spm_dashboard(){
	remove_meta_box('spm_dashboard_widget', 'dashboard', 'normal');
}

function wpbe_remove_layers_addons(){
	remove_meta_box('layers-addons', 'dashboard', 'normal');
}

function wpbe_remove_layers_pro(){
	remove_meta_box('layers-pro', 'dashboard', 'normal');
}

function wpbe_remove_itsec_dashboard(){
	remove_meta_box('itsec-dashboard-widget', 'dashboard', 'normal');
}

function wpbe_admin_footer_left() { 
     echo get_option('wpbe_admin_footer_left'); 
}

function wpbe_admin_footer_right() { 
     return get_option('wpbe_admin_footer_right'); 
}

function wpbe_wp_mail_from($old) {
	return get_option('wpbe_wp_mail_from');
}

function wpbe_wp_mail_from_name($old) {
	return get_option('wpbe_wp_mail_from_name');
}

// Disable Plugins, WordPress and Themes update notifications for non-admins
if(get_option('wpbe_turn_off_updates') == '1'){ add_action('plugins_loaded', 'wpbe_turn_off_updates'); } 

// Initiate wpbe_turn_on_gzip on WordPress site
if(get_option('wpbe_turn_on_gzip') == '1'){ add_action('init', 'wpbe_turn_on_gzip'); } 

// Disable Emoji icons if not in use
if(get_option('wpbe_disable_emojis') == '1'){ add_action('init', 'wpbe_disable_emojis'); } 

// Remove Category, Post and Comment feeds
if(get_option('wpbe_remove_wp_rss') == '1'){ remove_action('wp_head', 'feed_links_extra', 3); remove_action('wp_head', 'feed_links', 2); }

// Remove the EditURI link (Really Simple Discovery service endpoint)
if(get_option('wpbe_disable_rsd') == '1'){ remove_action('wp_head', 'rsd_link'); }

// Remove Windows Live Writer manifest file
if(get_option('wpbe_remove_manifest_link') == '1'){ remove_action('wp_head', 'wlwmanifest_link'); }

// Remove REST links from header
if(get_option('wpbe_remove_rest_links') == '1'){ 
	remove_action('wp_head', 'rest_output_link_wp_head');
	remove_action('template_redirect', 'rest_output_link_header', 11, 0); 
}

// Remove WP Oembed from header
if(get_option('wpbe_remove_oembed_links') == '1'){ remove_action('wp_head', 'wp_oembed_add_discovery_links'); }

// Remove generator meta tags WordPress / WooCommerce / qTranslate-X
if(get_option('wpbe_remove_meta_generator') == '1'){
	remove_action('wp_head', 'wp_generator'); 
	add_action('init', 'wpbe_remove_meta_generator_qtranslate');
}

// Remove qTranslate-X generator meta tag
function wpbe_remove_meta_generator_qtranslate(){
	remove_action('wp_head', 'qtranxf_wp_head_meta_generator');
}

// Remove Index link
if(get_option('wpbe_remove_index_rel_link') == '1'){ remove_action('wp_head', 'index_rel_link'); }

// Remove Prev link
if(get_option('wpbe_remove_prev_link') == '1'){ remove_action('wp_head', 'parent_post_rel_link', 10, 0); }

// Remove Start link
if(get_option('wpbe_remove_start_link') == '1'){ remove_action('wp_head', 'start_post_rel_link', 10, 0); }

// Remove relational links for the Posts
if(get_option('wpbe_remove_adjacent_links') == '1'){ remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0); }

// Remove WordPress shortlink
if(get_option('wpbe_remove_short_link') == '1'){ remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0); }

// Remove pings from header
if(get_option('wpbe_remove_pings') == '1'){ add_filter('wp_headers', 'wpbe_remove_pings'); }

// Remove canonical link
if(get_option('wpbe_remove_canonical') == '1'){ remove_action('wp_head', 'rel_canonical'); }

// Remove Screen Options link from dashboard
if(get_option('wpbe_remove_screen_options') == '1'){ add_action('admin_head', 'wpbe_remove_screen_options'); }

// Remove Help link from dashboard
if(get_option('wpbe_remove_help_link') == '1'){ add_action('admin_head', 'wpbe_remove_help_link'); } 

// Remove Welcome to WordPress from dashboard
if(get_option('wpbe_remove_welcome_panel') == '1'){ remove_action('welcome_panel', 'wp_welcome_panel'); }

// Remove At a Glance from dashboard
if(get_option('wpbe_remove_ataglance_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_ataglance_dashboard'); }

// Remove Activity from dashboard
if(get_option('wpbe_remove_activity_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_activity_dashboard'); }

// Remove Quick Press from dashboard
if(get_option('wpbe_remove_quick_press_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_quick_press_dashboard'); }

// Remove WordPress News from dashboard
if(get_option('wpbe_remove_wpnews_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_wpnews_dashboard'); }

// Remove Yoast SEO Posts Overview
if(get_option('wpbe_remove_yoast_seo_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_yoast_seo_dashboard'); }

// Remove WooCommerce Reviews from dashboard
if(get_option('wpbe_remove_woocoomerce_reviews_dasbhoard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_woocoomerce_reviews_dasbhoard'); }

// Remove WP-Zoom Dashboard from dashboard
if(get_option('wpbe_remove_dashboard_wpzoom') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_dashboard_wpzoom'); }

// Remove bbPress Right Now from dashboard
if(get_option('wpbe_remove_bbpress_right_now') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_bbpress_right_now'); }

// Remove Simple Personal Message from dashboard
if(get_option('wpbe_remove_spm_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_spm_dashboard'); }

// Remove Layers addons from dashboard
if(get_option('wpbe_remove_layers_addons') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_layers_addons'); }

// Remove Layers Pro from dashboard
if(get_option('wpbe_remove_layers_pro') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_layers_pro'); }

// Remove Ithemes Security widget from dashboard
if(get_option('wpbe_remove_itsec_dashboard') == '1'){ add_action('wp_dashboard_setup', 'wpbe_remove_itsec_dashboard'); }

// Add WPB Elements in main admin menu
if(get_option('wpbe_add_to_side_menu') == '1'){ add_action('admin_menu', 'wpbe_shortcut'); }

// Add shortcode ability to widgets
if(get_option('wpbe_add_widget_shortcode') == '1'){ add_filter('widget_text', 'do_widgetshortcode'); } 

// Add shortcode ability to manual excerpts
if(get_option('wpbe_add_excerpts_shortcode') == '1'){ add_filter('the_excerpt', 'do_shortcode'); } 

// Remove WP Logo in toolbar
if(get_option('wpbe_remove_wp_logo') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_logo'); } 

// Remove WP New Content in toolbar
if(get_option('wpbe_remove_wp_new_content') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_new_content'); } 

// Remove Site Name in toolbar
if(get_option('wpbe_remove_wp_sitename') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_sitename'); } 

// Remove WP customize in toolbar
if(get_option('wpbe_remove_wp_customize') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_customize'); } 

// Remove WP edit in toolbar
if(get_option('wpbe_remove_wp_edit') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_edit'); } 

// Remove WP Updates in toolbar
if(get_option('wpbe_remove_wp_updates') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_updates'); } 

// Remove WP Search in toolbar
if(get_option('wpbe_remove_wp_search') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_search'); } 

// Remove WP Comments in toolbar
if(get_option('wpbe_remove_wp_comments') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_comments'); } 

// Remove W3 Total Cache in toolbar
if(get_option('wpbe_remove_w3tc') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_w3tc'); } 

// Remove All in One Seo Pack in toolbar
if(get_option('wpbe_remove_a1s') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_a1s'); }

// Remove Yoast SEO in toolbar
if(get_option('wpbe_remove_yseo') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_yseo'); }

// Remove WP Zoom Framework in toolbar
if(get_option('wpbe_remove_wp_zoom') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_wp_zoom'); }

// Remove Visual Form Builder in toolbar
if(get_option('wpbe_remove_vfb') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_vfb'); }

// Remove Nextgen Gallery from  the toolbar
if(get_option('wpbe_remove_ngg') == '1'){ add_action('wp_before_admin_bar_render', 'wpbe_remove_ngg'); }

// Remove Admin color chooser from Users contact info
if(get_option('wpbe_remove_admin_color_scheme') == '1'){ remove_action('admin_color_scheme_picker', 'admin_color_scheme_picker'); }

// Remove Admin language selector from Users contact info
if(get_option('wpbe_remove_admin_lang_chooser') == '1'){ add_action('admin_head', 'wpbe_remove_admin_lang_chooser'); }

// Remove AIM from Users contact info
if(get_option('wpbe_remove_aim_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_aim_contact', 999, 1); }

// Remove Jabber from Users contact info
if(get_option('wpbe_remove_jabber_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_jabber_contact', 999, 1); }

// Remove Yahoo IM from Users contact info
if(get_option('wpbe_remove_yahoo_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_yahoo_contact', 999, 1); }

// Remove Google Plus from Users contact info
if(get_option('wpbe_remove_gplus_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_gplus_contact', 999, 1); }

// Remove Facebook from Users contact info
if(get_option('wpbe_remove_facebook_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_facebook_contact', 999, 1); }

// Remove Twitter from Users contact info
if(get_option('wpbe_remove_twitter_contact') == '1'){ add_filter('user_contactmethods', 'wpbe_remove_twitter_contact', 999, 1); }

// Add custom text to the admin footer left
if(get_option('wpbe_admin_footer_left') != ''){ add_filter('admin_footer_text', 'wpbe_admin_footer_left'); } 

// Add custom text to the admin footer right
if(get_option('wpbe_admin_footer_right') != ''){ add_filter('update_footer', 'wpbe_admin_footer_right', '1234'); }

// Change WordPress custom name to your own name
if(get_option('wpbe_wp_mail_from_name') != ''){ add_filter('wp_mail_from_name', 'wpbe_wp_mail_from_name'); }

// Change WordPress cusotm name
if(get_option('wpbe_wp_mail_from') != ''){ add_filter('wp_mail_from', 'wpbe_wp_mail_from'); }